petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDataTypeFromString

Gets the enum value of a PETSc datatype represented as a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDataTypeFromString(const char*name, PetscDataType *ptype,PetscBool *found)

Not collective

### Input Parameter

name -the PETSc datatype name (for example, DOUBLE or real or Scalar)

### Output Parameter

| ptype | - the enum value
| found | - the string matches one of the data types

### See Also

PetscDataType, PetscDataTypeToMPIDataType(), PetscDataTypeGetSize()

Level:advanced
Location:src/sys/objects/ptype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex11.c.html